namespace VCommon.Logging
{
    public sealed class NullLogger : ILogger
    {
        public static readonly NullLogger Instance = new NullLogger();

        private NullLogger()
        {
        }

        public void Debug(string summary, object moreInfo = null)
        {
        }

        public void Trace(string summary, object moreInfo = null)
        {
        }

        public void Info(string summary, object moreInfo = null)
        {
        }

        public void Warn(string summary, object moreInfo = null)
        {
        }

        public void Error(string summary, object moreInfo = null)
        {
        }

        public void Fatal(string summary, object moreInfo = null)
        {
        }
    }
}
